EDIT - bug #8440

specimen accession numbers link to specimen page
08/02/2019 05:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal Found in Version:

Description

The specimen accession numbers, aka specimen labels, should be clickable links to the specimen page.

This is needed for the following pages

e Name page
e Taxon page
¢ Registration page

Related issues:
Copied to EDIT - task #8455: Show specimen preferredStableURL as external lin... New

Associated revisions

Revision 48468¢c67 - 08/02/2019 05:54 PM - Andreas Kohlbecker

ref #8440 specimen accession numbers link to specimen page

Revision e69¢4103 - 08/07/2019 04:48 PM - Andreas Kohlbecker

ref #8440 consistent display of type specimens: link to specimen page and showing preferredStableUri

Revision d80b3059 - 08/12/2019 01:27 PM - Andreas Kohlbecker
ref #8440 adapting and extending tests

History

#1 - 08/07/2019 04:50 PM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

please review

#2 - 08/08/2019 09:38 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 70
Tested for Registration page, name page, and specimen page.
Example: Gomphonella acsiae

Links are working.

Warning in Test portal
Notice: Array to string conversion in theme_item_list() (line 2226 of /var/www/drupal-7.32/includes/theme.inc).

Question: Users could see the difference between the internal and external (stable identifier) link by checking the URL. Is this enough?

#3 - 08/12/2019 04:47 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
- % Done changed from 70 to 100

Wolf-Henning Kusber wrote:
Warning in Test portal
Notice: Array to string conversion in theme_item_list() (line 2226 of /var/www/drupal-7.32/includes/theme.inc).
This is caused by a bug in the specimen page and is already handled in another ticket.
Question: Users could see the difference between the internal and external (stable identifier) link by checking the URL. Is this enough?
Links which are not marked otherwise are always internal links. For external links we are using the font awesome icon external-link-alt. We should
think about replacing the preferredLinkURL as link text by this icon.
As this should subject of another ticket #8455 and | will close this issue now

#4 - 08/12/2019 04:47 PM - Andreas Kohlbecker
- Copied to task #8455: Show specimen preferredStableURL as external link icon? added
https://fontawesome.com/icons/external-link-alt?style=solid
https://dev.e-taxonomy.eu/redmine/issues/8455
http://www.tcpdf.org

